Name: bonnie++
Version: 1.03a
Release: %mkrel 3
Summary: A program for benchmarking hard drives and filesystems
License: GPL
Group: System/Kernel and hardware
URL: http://www.coker.com.au/bonnie++/
Source: http://www.coker.com.au/bonnie++/bonnie++-%{version}.tar.bz2 
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Provides: bonnie
Obsoletes: bonnie

%description
Bonnie++ is a benchmark suite that is aimed at performing a number of simple
tests of hard drive and file system performance.

%prep
%setup -q
autoconf

%build
%configure2_5x
%make 
perl -pi -e "s@/usr/share/doc/bonnie\+\+/@%_docdir/%name-%version/@" bonnie++.8

%install
rm -rf $RPM_BUILD_ROOT
[ -e debian/changelog ]&& (rm -f changelog.txt;mv debian/changelog changelog.txt)
perl -pi -e "s@usr/share/man@%{buildroot}%_mandir@g" Makefile
%makeinstall eprefix=%{buildroot} DESTDIR=%{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc changelog.txt readme.html credits.txt
/sbin/bonnie++
/sbin/zcav
/bin/bon_csv2html
/bin/bon_csv2txt
%{_mandir}/man1/*
%{_mandir}/man8/*




%changelog

* Sat Mar 17 2007 Oden Eriksson <oeriksson@mandriva.com> 1.03a-3mdv2007.1
+ Revision: 145449
- Import bonnie++

* Wed Dec 28 2005 Erwan Velu <erwan@seanodes.com> 1.03a-3mdk
- Rebuild

* Sat Jun 05 2004 <lmontel@n2.mandrakesoft.com> 1.03a-2mdk
- Rebuild

* Mon Mar 22 2004 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.03a-1mdk
- Release 1.03a.

